Subject: lvm2: lvdisplay does not display 'raid1' mirror allocations

From: Paul LeoNerd Evans <[email-masked]>
Date: Thu, 06 Dec 2012 21:18:42 +0000

Package: lvm2
Version: 2.02.95-4
Severity: normal

Using --type mirror LV mirroring, I could get information about which
physical disks that a given LV was on, by

 $ lvdisplay -m vgname/lvname

which would at least tell me the [hidden internal] LV names that the
mirror was distributed among; I could then

 $ lvdisplay -am vgname/lvname_mimage_{0,1}

to find them.

It seems that --type raid1 happens to use _rimage_$N as its image names,
but I only found that out by hunting around directly using

 $ dmsetup info | grep lvname

It would be good if similar information was displayed.

-----

That said, ideally it would be nice if such "cascaded" LVs would display
their component information, perhaps in a tree looking like this:

$ lvdisplay -avm vg_cel/root64
    Using logical volume(s) on command line
  --- Logical volume ---
  LV Path                /dev/vg_cel/root64
  LV Name                root64
  VG Name                vg_cel
  LV UUID                jcstwu-6f81-QcE8-dIl3-eSzo-VeQX-RRjU8D
  LV Write Access        read/write
  LV Creation host, time , 
  LV Status              available
  # open                 1
  LV Size                1.86 GiB
  Current LE             476
  Mirrored volumes       2
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           254:2
   
  --- Segments ---
  Logical extent 0 to 475:
    Type                 raid1

    --- Logical volume ---
    Internal LV Name       root64_rimage_0

    --- Segments ---
    Logical extent 0 to 475:
      Typelinear
      Physical volume      /dev/sdb2
      Physical extents     36224 to 36699
     
    --- Logical volume ---
    Internal LV Name       root64_rimage_1
     
    --- Segments ---
    Logical extent 0 to 475:
      Typelinear
      Physical volume      /dev/sdd2
      Physical extents     35841 to 36316

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lvm2 depends on:
ii  dmsetup                   2:1.02.74-4
ii  initscripts               2.88dsf-34
ii  libc6                     2.13-37
ii  libdevmapper-event1.02.1  2:1.02.74-4
ii  libdevmapper1.02.1        2:1.02.74-4
ii  libreadline5              5.2-12
ii  libudev0                  175-7
ii  lsb-base                  4.1+Debian8

lvm2 recommends no packages.

lvm2 suggests no packages.

-- no debconf information